List Fleet Server hosts

Base URL
https://{kibana_url}
  • GET /api/fleet/fleet_server_hosts
  • GET /s/{space_id}/api/fleet/fleet_server_hosts
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

OK

application/json
items object[]
host_urls string[] required
id string required
is_default boolean required
is_internal boolean
is_preconfigured boolean required
name string
proxy_id string
page integer
perPage integer
total integer

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}